<template>
    <form class="container" v-on:submit.prevent="submit()">
        <div class="col-12">
            <div class="row">
                <div class="col-6">
                    <div class="form-group">
                        <label>Intitulé
                            <span>*</span>
                        </label>
                        <input class="form-control" type="text" name="name" v-model="project.title" required>
                    </div>
                </div>
                <div class="col-6">
                    <div class="form-group">
                        <label>Type
                            <span>*</span>
                        </label>
                        <select class="form-control" type="text" name="type" v-model="project.type" required>
                            <option value="Forfait">
                                Forfait
                            </option>
                            <option value="Régie">
                                Régie
                            </option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-6">
                    <div class="form-group">
                        <label>Commercial
                            <span>*</span>
                        </label>
                        <select class="form-control" type="text" name="commercial" v-model="project.commercial._id" v-if="project.commercial" required>
                            <option v-for="commercial in commercials" v-bind:value="commercial._id">
                                {{commercial.firstname}} {{commercial.lastname}}
                            </option>
                        </select>
                    </div>
                </div>
                <div class="col-6">
                    <div class="form-group">
                        <label>Responsable technique
                            <span>*</span>
                        </label>
                        <select class="form-control" type="text" name="technical" v-model="project.technical._id" v-if="project.technical" required>
                            <option v-for="technical in technicals" v-bind:value="technical._id">
                                {{technical.firstname}} {{technical.lastname}}
                            </option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-6">
                    <div class="form-group">
                        <label>CA vendu</label>
                        <input class="form-control" type="text" name="ca" v-model="project.ca">
                    </div>
                </div>
                <div class="col-6">
                    <div class="form-group ">
                        <label>Nbre jrs vendus
                            <span>*</span>
                        </label>
                        <input class="form-control" type="number" name="daysSold" v-model="project.daysSold">
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-4 offset-2">
                    <div class="form-group">
                        <label>Date estimée début
                            <span>*</span>
                        </label>
                        <DatePicker v-bind:inline='true' v-model="project.startDate"></DatePicker>
                    </div>
                </div>
                <div class="col-4">
                    <div class="form-group">
                        <label>Date estimée fin
                            <span>*</span>
                        </label>
                        <DatePicker v-bind:inline='true' v-model="project.endDate"></DatePicker>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <strong class="up">Scrum</strong>
                        <span>*</span>
                        <input class="wider" type="checkbox" name="scrum" v-model="project.scrum">
                    </div>
                </div>
            </div>
            <div class="col-12">
                <div class="form-group">
                    <button class="btn btn-primary" type="submit"> Sauvegarder </button>
                    <button class="btn btn-secondary" type="button" v-on:click="back()"> Retour </button>
                    <button class="btn btn-danger" type="button" v-on:click="remove()"> Supprimer </button>
                </div>
            </div>
        </div>
    </form>
</template>

<script>

import DatePicker from 'vuejs-datepicker';

export default {
    props: ['project', 'technicals', 'commercials'],
    methods: {
        submit: function() {
            this.$emit("submit");
        },
        back: function() {
            this.$emit("back");
        },
        remove: function() {
            this.$emit("remove");
        }
    },
    components: {
        DatePicker
    }
}
</script>

<style scoped>
span {
    color: red;
}

.wider {
    width: 30px;
    height: 30px;
    padding-top:32px;
}
</style>
